#include <bits/stdc++.h>
#define ii pair<int, int>
#define vi vector<int>
#define vii vector<ii>
#define all(v) v.begin(), v.end()
#define pb push_back
#define ln << '\n'
#define int long long
using namespace std;

const int N = 5e5 + 22;
int n, k, a[N], b[N], an[N], ku[N];
int ans = 0;
vi kuk[N];

void rec(int i) {
    if (i == n) {
        for (int j = 0; j < k; j++) an[j] = 0, ku[j] = 0;
        for (int j = 0; j < n; j++) {
            ku[b[j]]++;
            an[b[j]] = max(an[b[j]], a[j] + ku[b[j]]);
        }
        int preans = 0;
        for (int j = 0; j < k; j++) preans += an[j];
        ans = max(ans, preans);
        return;
    }

    for (int j = 0; j < k; j++) {
        b[i] = j;
        rec(i + 1);
    }
}

int32_t main() {
    cin.tie(0); cout.tie(0); ios::sync_with_stdio(0);
    cin >> n >> k;
    for (int i = 0; i < n; i++) cin >> a[i];
    rec(0);
    cout << ans;

    // int cur = 0;
    // reverse(a, a + n);
    // for (int i = 0; i < n; i++) {
    //     kuk[cur].pb(a[i]);
    //
    //     cur++;
    //     cur %= k;
    // }
    // int ans = 0;
    // for (int i = 0; i < k; i++) {
    //     ans += kuk[i][0] + kuk[i].size();
    // }

    // cout << ans;
    return 0;
}